> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve post

> Retrieves a post by ID.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify get /admin/v0/posts/{post_id}
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/posts/{post_id}:
    get:
      tags:
        - Posts
      summary: Retrieve post
      description: Retrieves a post by ID.
      parameters:
        - schema:
            type: string
            minLength: 12
            maxLength: 12
          required: true
          name: post_id
          in: path
      responses:
        '200':
          description: Post details
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 12
                        maxLength: 12
                        pattern: ^[0-9a-zA-Z]+$
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      content_created_at:
                        type: string
                        format: date-time
                      latest_activity_at:
                        type: string
                        format: date-time
                      title:
                        type: string
                      slug:
                        type: string
                      feed_id:
                        type: string
                        format: uuid
                      post_detail_display_format:
                        type: string
                        enum:
                          - discussion
                          - blog
                      author_profile_id:
                        type: string
                        format: uuid
                      source:
                        type: string
                        enum:
                          - slack
                          - site
                      file_attachments_count:
                        type: number
                      reactions_count:
                        type: number
                      comments_count:
                        type: number
                      body_plaintext:
                        type: string
                      body_prosemirror:
                        type: object
                        nullable: true
                        additionalProperties:
                          nullable: true
                      slack_message:
                        type: object
                        nullable: true
                        properties:
                          id:
                            type: string
                            format: uuid
                          message_ts:
                            type: number
                          blocks:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - rich_text
                                elements:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - rich_text_section
                                          elements:
                                            type: array
                                            items:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - broadcast
                                                    range:
                                                      type: string
                                                      enum:
                                                        - here
                                                        - channel
                                                        - everyone
                                                  required:
                                                    - type
                                                    - range
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - color
                                                    value:
                                                      type: string
                                                  required:
                                                    - type
                                                    - value
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - channel
                                                    channel_id:
                                                      type: string
                                                    style:
                                                      type: object
                                                      properties:
                                                        bold:
                                                          type: boolean
                                                        italic:
                                                          type: boolean
                                                        strike:
                                                          type: boolean
                                                        highlight:
                                                          type: boolean
                                                        client_highlight:
                                                          type: boolean
                                                        unlink:
                                                          type: boolean
                                                  required:
                                                    - type
                                                    - channel_id
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - date
                                                    timestamp:
                                                      type: number
                                                    format:
                                                      type: string
                                                    url:
                                                      type: string
                                                    fallback:
                                                      type: string
                                                  required:
                                                    - type
                                                    - timestamp
                                                    - format
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - emoji
                                                    name:
                                                      type: string
                                                    unicode:
                                                      type: string
                                                  required:
                                                    - type
                                                    - name
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - link
                                                    url:
                                                      type: string
                                                    text:
                                                      type: string
                                                    unsafe:
                                                      type: boolean
                                                    style:
                                                      type: object
                                                      properties:
                                                        bold:
                                                          type: boolean
                                                        italic:
                                                          type: boolean
                                                        strike:
                                                          type: boolean
                                                        code:
                                                          type: boolean
                                                  required:
                                                    - type
                                                    - url
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - text
                                                    text:
                                                      type: string
                                                    style:
                                                      type: object
                                                      properties:
                                                        bold:
                                                          type: boolean
                                                        italic:
                                                          type: boolean
                                                        strike:
                                                          type: boolean
                                                        code:
                                                          type: boolean
                                                  required:
                                                    - type
                                                    - text
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - user
                                                    user_id:
                                                      type: string
                                                    style:
                                                      type: object
                                                      properties:
                                                        bold:
                                                          type: boolean
                                                        italic:
                                                          type: boolean
                                                        strike:
                                                          type: boolean
                                                        highlight:
                                                          type: boolean
                                                        client_highlight:
                                                          type: boolean
                                                        unlink:
                                                          type: boolean
                                                  required:
                                                    - type
                                                    - user_id
                                                - type: object
                                                  properties:
                                                    type:
                                                      type: string
                                                      enum:
                                                        - usergroup
                                                    usergroup_id:
                                                      type: string
                                                    style:
                                                      type: object
                                                      properties:
                                                        bold:
                                                          type: boolean
                                                        italic:
                                                          type: boolean
                                                        strike:
                                                          type: boolean
                                                        highlight:
                                                          type: boolean
                                                        client_highlight:
                                                          type: boolean
                                                        unlink:
                                                          type: boolean
                                                  required:
                                                    - type
                                                    - usergroup_id
                                        required:
                                          - type
                                          - elements
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - rich_text_list
                                          style:
                                            type: string
                                            enum:
                                              - bullet
                                              - ordered
                                          elements:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - rich_text_section
                                                elements:
                                                  type: array
                                                  items:
                                                    anyOf:
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - broadcast
                                                          range:
                                                            type: string
                                                            enum:
                                                              - here
                                                              - channel
                                                              - everyone
                                                        required:
                                                          - type
                                                          - range
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - color
                                                          value:
                                                            type: string
                                                        required:
                                                          - type
                                                          - value
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - channel
                                                          channel_id:
                                                            type: string
                                                          style:
                                                            type: object
                                                            properties:
                                                              bold:
                                                                type: boolean
                                                              italic:
                                                                type: boolean
                                                              strike:
                                                                type: boolean
                                                              highlight:
                                                                type: boolean
                                                              client_highlight:
                                                                type: boolean
                                                              unlink:
                                                                type: boolean
                                                        required:
                                                          - type
                                                          - channel_id
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - date
                                                          timestamp:
                                                            type: number
                                                          format:
                                                            type: string
                                                          url:
                                                            type: string
                                                          fallback:
                                                            type: string
                                                        required:
                                                          - type
                                                          - timestamp
                                                          - format
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - emoji
                                                          name:
                                                            type: string
                                                          unicode:
                                                            type: string
                                                        required:
                                                          - type
                                                          - name
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - link
                                                          url:
                                                            type: string
                                                          text:
                                                            type: string
                                                          unsafe:
                                                            type: boolean
                                                          style:
                                                            type: object
                                                            properties:
                                                              bold:
                                                                type: boolean
                                                              italic:
                                                                type: boolean
                                                              strike:
                                                                type: boolean
                                                              code:
                                                                type: boolean
                                                        required:
                                                          - type
                                                          - url
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - text
                                                          text:
                                                            type: string
                                                          style:
                                                            type: object
                                                            properties:
                                                              bold:
                                                                type: boolean
                                                              italic:
                                                                type: boolean
                                                              strike:
                                                                type: boolean
                                                              code:
                                                                type: boolean
                                                        required:
                                                          - type
                                                          - text
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - user
                                                          user_id:
                                                            type: string
                                                          style:
                                                            type: object
                                                            properties:
                                                              bold:
                                                                type: boolean
                                                              italic:
                                                                type: boolean
                                                              strike:
                                                                type: boolean
                                                              highlight:
                                                                type: boolean
                                                              client_highlight:
                                                                type: boolean
                                                              unlink:
                                                                type: boolean
                                                        required:
                                                          - type
                                                          - user_id
                                                      - type: object
                                                        properties:
                                                          type:
                                                            type: string
                                                            enum:
                                                              - usergroup
                                                          usergroup_id:
                                                            type: string
                                                          style:
                                                            type: object
                                                            properties:
                                                              bold:
                                                                type: boolean
                                                              italic:
                                                                type: boolean
                                                              strike:
                                                                type: boolean
                                                              highlight:
                                                                type: boolean
                                                              client_highlight:
                                                                type: boolean
                                                              unlink:
                                                                type: boolean
                                                        required:
                                                          - type
                                                          - usergroup_id
                                              required:
                                                - type
                                                - elements
                                          indent:
                                            type: number
                                            minimum: 0
                                          offset:
                                            type: number
                                            minimum: 0
                                          border:
                                            type: number
                                            minimum: 0
                                        required:
                                          - type
                                          - style
                                          - elements
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - rich_text_preformatted
                                          elements:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - text
                                                text:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - text
                                          border:
                                            type: number
                                            minimum: 0
                                        required:
                                          - type
                                          - elements
                                      - type: object
                                        properties:
                                          type:
                                            type: string
                                            enum:
                                              - rich_text_quote
                                          elements:
                                            type: array
                                            items:
                                              type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - text
                                                text:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - text
                                          border:
                                            type: number
                                            minimum: 0
                                        required:
                                          - type
                                          - elements
                                block_id:
                                  type: string
                              required:
                                - type
                                - elements
                          markdown:
                            type: string
                          permalink:
                            type: string
                            nullable: true
                          parent_slack_message_id:
                            type: string
                            nullable: true
                            format: uuid
                          username:
                            type: string
                            nullable: true
                          icon:
                            type: string
                            nullable: true
                            format: uri
                        required:
                          - id
                          - message_ts
                          - blocks
                          - markdown
                          - permalink
                      edited_at:
                        type: string
                        nullable: true
                        format: date-time
                      is_published:
                        type: boolean
                      deleted_at:
                        type: string
                        nullable: true
                        format: date-time
                      cover_image_file_id:
                        type: string
                        nullable: true
                        format: uuid
                      cover_image_url:
                        type: string
                        nullable: true
                      author:
                        type: object
                        properties:
                          profile_id:
                            type: string
                            format: uuid
                          created_at:
                            type: string
                            format: date-time
                          preferred_name:
                            type: string
                          preferred_image_original:
                            type: string
                            nullable: true
                          preferred_image_1024:
                            type: string
                            nullable: true
                          preferred_image_512:
                            type: string
                            nullable: true
                          preferred_image_192:
                            type: string
                            nullable: true
                          preferred_image_72:
                            type: string
                            nullable: true
                          preferred_image_48:
                            type: string
                            nullable: true
                          preferred_image_32:
                            type: string
                            nullable: true
                          preferred_image_24:
                            type: string
                            nullable: true
                          first_name:
                            type: string
                            nullable: true
                          last_name:
                            type: string
                            nullable: true
                          email:
                            type: string
                            nullable: true
                            format: email
                          slack_user_id:
                            type: string
                            nullable: true
                          slack_is_admin:
                            type: boolean
                            nullable: true
                          slack_is_bot:
                            type: boolean
                            nullable: true
                          slack_first_name:
                            type: string
                            nullable: true
                          slack_last_name:
                            type: string
                            nullable: true
                          slack_image_72:
                            type: string
                            nullable: true
                          slack_image_original:
                            type: string
                            nullable: true
                        required:
                          - profile_id
                          - created_at
                          - preferred_name
                          - preferred_image_original
                          - preferred_image_1024
                          - preferred_image_512
                          - preferred_image_192
                          - preferred_image_72
                          - preferred_image_48
                          - preferred_image_32
                          - preferred_image_24
                      feed:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          public_id:
                            type: string
                            nullable: true
                          label:
                            type: string
                          slug:
                            type: string
                          slack_channel:
                            type: object
                            nullable: true
                            properties:
                              name:
                                type: string
                                nullable: true
                            required:
                              - name
                        required:
                          - id
                          - label
                          - slug
                      references:
                        type: object
                        nullable: true
                        properties:
                          mentioned_slack_users:
                            type: array
                            items:
                              type: object
                              properties:
                                profile_id:
                                  type: string
                                  format: uuid
                                preferred_name:
                                  type: string
                                slack_user_id:
                                  type: string
                                  nullable: true
                              required:
                                - profile_id
                                - preferred_name
                          mentioned_slack_channels:
                            type: array
                            items:
                              type: object
                              properties:
                                slack_channel:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    name:
                                      type: string
                                      nullable: true
                                  required:
                                    - id
                                    - name
                                feed:
                                  type: object
                                  nullable: true
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    public_id:
                                      type: string
                                      nullable: true
                                    label:
                                      type: string
                                    slug:
                                      type: string
                                    slack_channel:
                                      type: object
                                      nullable: true
                                      properties:
                                        name:
                                          type: string
                                          nullable: true
                                      required:
                                        - name
                                  required:
                                    - id
                                    - label
                                    - slug
                              required:
                                - slack_channel
                          custom_emojis:
                            type: array
                            items:
                              type: object
                              properties:
                                alias:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                url:
                                  type: string
                                  nullable: true
                              required:
                                - alias
                                - name
                                - url
                          urls:
                            type: array
                            items:
                              type: object
                              properties:
                                order_seen:
                                  type: number
                                is_embedded_media:
                                  type: boolean
                                is_image:
                                  type: boolean
                                is_video:
                                  type: boolean
                                url:
                                  type: string
                              required:
                                - order_seen
                                - is_embedded_media
                                - is_image
                                - is_video
                                - url
                        required:
                          - mentioned_slack_users
                          - mentioned_slack_channels
                          - custom_emojis
                          - urls
                    required:
                      - id
                      - created_at
                      - updated_at
                      - content_created_at
                      - latest_activity_at
                      - title
                      - slug
                      - feed_id
                      - post_detail_display_format
                      - author_profile_id
                      - source
                      - file_attachments_count
                      - reactions_count
                      - comments_count
                      - body_plaintext
                      - author
                      - feed
                required:
                  - success
                  - data
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Returns a Not Found error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieve feed](/api-reference/feeds/retrieve-feed.md)
- [Retrieve calendar event](/api-reference/calendar-events/retrieve-calendar-event.md)
- [Slack Scopes & Permissions](/security/slack-scopes.md)
- [Create a Post or Comment](/slack/posts-and-comments/create-post-or-comment.md)
- [Delete a Post or Comment](/slack/posts-and-comments/delete-post-or-comment.md)
